# Administration Reference

## vos lock

Purpose

Locks a VLDB volume entry

Synopsis

    vos lock -id <volume name or ID>  [-cell <cell name>]  [-noauth]
             [-localauth]  [-verbose]  [-help]

    vos lo -i <volume name or ID>  [-c <cell name>]  [-n]  [-l]  [-v]  [-h]

Description

The vos lock command locks the Volume Location Database (VLDB) entry for the indicated volume, blocking any operation that requires a write to that entry. The lock applies to all of the volume versions associated with the entry, not just the one specified with the -id argument.

To unlock a single VLDB entry, use the vos unlock command. To unlock several entries, or all locked entries in the VLDB, use the vos unlockvldb command.

Cautions

Do not use this command in normal circumstances. It is useful for guaranteeing that the volume stays unchanged when there is reason to believe that volume operations cannot properly lock VLDB volume entries as they normally do to synchronize with one another.

Options

-id
  Specifies either the complete name or volume ID number of a volume of the any of the three types.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command locks the VLDB entry for user.terry.

       % vos lock user.terry

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser root.

Related Information

vos

vos unlock

vos unlockvldb

© IBM Corporation 2000. All Rights Reserved